// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class doublespeed {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("doublespeed.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // double frequency (0.2353 x 2)
      AObject snd = new ASampleLoop(file, 0.47, 0, 0, 34000);

      // half amount of samples (187425 / 2)
      store.append(new ACombine(snd, snd), 93712);

      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


