// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class randomamp {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("randomamp.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);

      AAmp snd = new AAmp(new ASquare(2, 440, 0, 0), 1, 0);

      // the 3Hz sine jumps randomly about every 4000 samples
      AHold mod = new AHold(new ASin(2, 3, 0), new ARandomTrigger(2, 4000));

      snd.setAmpMod(mod);

      store.append(snd, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


