// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class sine1 {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("sine1.raw");
      AContainer store = new AContainer(2);

      // stereo sine at 440Hz is created
      AWave wave = new ASin(2, 440, 0);

      // amplitude of sine is set to 90% of maximum
      AAmp amp = new AAmp(wave, 0.9, 0);

      store.append(amp, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}

