// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class soundfile {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("soundfile.raw");
      output = new BufferedOutputStream(output);

      // is a mono soundfile
      AContainer store = new AContainer(1);

      // soundfile is opened
      AInputStream file = new AFile("dialog.raw");

      // soundfile is made to AObject
      // channel: 1 (mono), input: "dialog.raw", bitrate: 1*8 = 8bit
      // format: big endian (motorola), start: 0, length: 34000 samples
      AObject snd = new ASample(1, file, 1, true, 0, 34000);

      store.append(snd, 34000);

      // write with 8kHz and 8bit
      store.write(8000, 1, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


