// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class soundfileFM {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("soundfileFM.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // double frequency (0.2353 x 2) for FM (see part 1)
      AWave snd = new ASampleLoop(file, 0.47, 0, 0, 34000);

      // 100Hz sine for FM (0.5-offset 0.1-amount see part 1)
      snd.setFreqMod(new AAmp(new ASin(1, 100, 0), 0.1, 0.5));

      store.append(new ACombine(snd, snd), 187425);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


