// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class tremolo {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("tremolo.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);

      // new square oscillator with full amplutude
      AAmp snd = new AAmp(new ASquare(2, 440, 0, 0), 1, 0);

      // amplitude modulated by 3Hz sine oscillator
      snd.setAmpMod(new ASin(2, 3, 0));

      store.append(snd, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


