// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;

public class AUseObject extends AObject {
  private AObject obj; // object to be used

  public AUseObject(AObject o) {
    super(o.getChannel()); // or super(o); (dirty!)
    setObj(o); }

  protected AUseObject(AUseObject o) {
    super(o); setObj(o.getObj()); }

  public AObject getObj() { return obj; }

  protected void setObj(AObject o) {
    obj = o.copy(); } // copy of object stored

  protected double getValue(int ch, int rate) throws AException {
    return obj.nextValue(ch, rate); }

  public AObject copy() { return new AUseObject(this); }
}

