// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class backward {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("backward.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // start set to end, length set negative
      AObject snd = new ASampleLoop(file, 0.2353, 0, 34000, -34000);

      store.append(new ACombine(snd, snd), 187425);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


