// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class delay {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("delay.raw");
      AContainer store = new AContainer(2);

      AObject fm  = AExample.ASinFM(2, 440, 333, 0.5);
      AObject env = AExample.AEnv(fm, 50, 200, 0.3, 500, 5000);

      // sound is replayed tree times every 6000 samples
      AObject delay = AExample.ADelay(env, 6000, 3);

      store.append(delay, 32000);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}