// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class envFM {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("envFM.raw");
      AContainer store = new AContainer(2);

      // creates 440Hz sine modulated with half amount by 333Hz sine
      AObject fm  = AExample.ASinFM(2, 440, 333, 0.5);

      // multiplies FM sound with a short envelope
      AObject env = AExample.AEnv(fm, 50, 200, 0.3, 500, 5000);

      store.append(env, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}