// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class loop {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("loop.raw");
      output = new BufferedOutputStream(output);
      AContainer store = new AContainer(2);
      ASample file = new ASample(1, new AFile("dialog.raw"), 1, true, 0, 34000);

      // loop starts at 14200 samples playing 5000 samples every loop
      // frequency calculation:
      //   5000 samples at 8000 hz means (8000 / 5000) 1.6 hz
      AWave snd = new ASampleLoop(file, 1.6, 0, 14200, 5000);

      store.append(new ACombine(snd, snd), 78200);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


