// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class noise {
  public static void main(String[] args) {
    try {

      // stereo container is created
      AContainer store = new AContainer(2);

      // stereo noise is created
      ARandom noise = new ARandom(2);

      // 22050 samples of noise added to container
      store.append(noise, 22050);

      // file to store samples created
      OutputStream output = new FileOutputStream("noise.raw");

      // samples stored with 44100kHz 16Bit
      // big endian (motorola) format
      store.write(44100, 2, true, output);

      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}

