// ALab v1.0: java package for creating experimental digital sounds and soundeffects
// Copyright (C) 2001 Michael Bliem   ALab@gmx.at      see 'license.txt' for details

import ALab.*;
import java.io.*;

public class wavetable {
  public static void main(String[] args) {
    try {
      OutputStream output = new FileOutputStream("wavetable.raw");
      AContainer store = new AContainer(2);

      // ASimpleWave used instead of ASin
      AWave wave = new ASimpleWave(2, 440, 0);

      // (if values in 'wavetab1.txt' are
      //  changed, program need not be recompiled).
      ATable table = new ATable(new AFile("wavetab1.txt"));

      ATablelize sound = new ATablelize(wave, table, null, 1);
      store.append(sound, 22050);
      store.write(44100, 2, true, output);
      output.close(); }
    catch(Exception e) { System.out.println(e); }
  }
}


